Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Server Containers for J2EE Support for JavaServer Pages API Reference 10g Release 2 (10.1.2) B14015-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jsp.dbutil
Class CursorBean

`java.lang.Object
oracle.jsp.dbutil.CursorBean`

All Implemented Interfaces:
  java.util.EventListener, JspScopeListener, java.io.Serializable

public class CursorBean
extends java.lang.Object
implements JspScopeListener, java.io.Serializable

A general purpose cursor bean. Can represent Statement, Prepared Statement and Callable Statement depending upon the type specified. Can also represent Scrollable cursors.

- ExecuteBatch Execute Batch Size for DMLs
- PreFetch Row prefetch size for the rows returned for querie
- queryTimeout Query Timeout for SQL Execution
- ResultSetType ResultSetType for Scrollable Cursors
- ResultSetConcurrency Concurrency for Scrollable Cursors

See Also:
  Serialized Form

Field Summary
`static int` | `CALL_STMT`
`static int` | `CONCUR_READ_ONLY`
`static int` | `CONCUR_UPDATABLE`
`protected int` | `m_batchSize`
`protected java.sql.Connection` | `m_conn`
`protected int` | `m_maxRows`
`protected int` | `m_preFetch`
`protected int` | `m_queryTimeout`
`protected int` | `m_rsetCon`
`protected int` | `m_rsetType`
`protected int` | `m_skipRows`
`protected java.lang.String` | `m_sql`
`protected java.sql.Statement` | `m_stmt`
`protected int` | `m_stmtType`
`static int` | `PLAIN_STMT`
`static int` | `PREP_STMT`
`static int` | `TYPE_FORWARD_ONLY`
`static int` | `TYPE_SCROLL_INSENSITIVE`
`static int` | `TYPE_SCROLL_SENSITIVE`

Constructor Summary
`CursorBean()`

Method Summary
`void` | `close()` Close the cursor.
`void` | `create()` Create a cursor for Queries
`void` | `create(ConnBean cb)` Create a cursor for Queries
`void` | `create(ConnBean cb, int type, java.lang.String sql)` Create a cursor with the given type and sql string on a given connection.
`void` | `create(int type, java.lang.String sql)` Create a cursor with the given type and sql string on a connection set before.
`boolean` | `execute()` Execute the Statement and return the status.
`boolean` | `execute(java.lang.String sql)` Execute the Statement with the given sql.
`java.sql.ResultSet` | `executeQuery()` Execute the Statement and return the ResultSet.
`java.sql.ResultSet` | `executeQuery(java.lang.String sql)` Execute the Statement with the given Sql.
`int` | `executeUpdate()` Execute the Statement and return the no of rows affected.
`int` | `executeUpdate(java.lang.String sql)` Execute the Statement with the given Sql.
`java.sql.Array` | `getArray(int parameterIndex)`
`oracle.sql.ARRAY` | `getARRAY(int parameterIndex)`
`java.io.InputStream` | `getAsciiStream(int parameterIndex)`
`oracle.sql.BFILE` | `getBFILE(int parameterIndex)`
`java.math.BigDecimal` | `getBigDecimal(int parameterIndex, int scale)`
`java.io.InputStream` | `getBinaryStream(int parameterIndex)`
`java.sql.Blob` | `getBlob(int parameterIndex)`
`oracle.sql.BLOB` | `getBLOB(int parameterIndex)`
`boolean` | `getBoolean(int parameterIndex)`
`byte` | `getByte(int parameterIndex)`
`byte[]` | `getBytes(int parameterIndex)`
`oracle.sql.CHAR` | `getCHAR(int parameterIndex)`
`java.sql.Clob` | `getClob(int parameterIndex)`
`oracle.sql.CLOB` | `getCLOB(int parameterIndex)`
`java.sql.ResultSet` | `getCursor(int parameterIndex)`
`java.lang.Object` | `getCustomDatum(int parameterIndex, oracle.sql.CustomDatumFactory factory)`
`java.sql.Date` | `getDate(int parameterIndex)`
`oracle.sql.DATE` | `getDATE(int parameterIndex)`
`double` | `getDouble(int parameterIndex)`
`int` | `getExecuteBatch()` Get the execute batch size for this cursor bean.
`float` | `getFloat(int parameterIndex)`
`int` | `getInt(int parameterIndex)`
`java.sql.Connection` | `getJDBCConnection()` Get the underlying connection object.
`long` | `getLong(int parameterIndex)`
`int` | `getMaxRows()`
`oracle.sql.NUMBER` | `getNUMBER(int parameterIndex)`
`java.lang.Object` | `getObject(int parameterIndex)`
`oracle.sql.Datum` | `getOracleObject(int parameterIndex)`
`int` | `getPreFetch()` Get the Row prefetch size for this cursor bean.
`int` | `getQueryTimeout()` The queryTimeout limit is the number of seconds the driver will wait for a Statement to execute.
`oracle.sql.RAW` | `getRAW(int parameterIndex)`
`java.sql.Ref` | `getRef(int parameterIndex)`
`oracle.sql.REF` | `getREF(int parameterIndex)`
`java.lang.String` | `getResultAsHTMLTable()` Execute the Sql and return the result as a HTM Table.
`java.lang.String` | `getResultAsHTMLTable(java.lang.String sql)` Execute the Sql and return the result as a HTM Table.
`org.w3c.dom.Document` | `getResultAsXMLDocument(java.lang.String sql)` Execute the Sql and return the result as a XML String
`java.lang.String` | `getResultAsXMLString()` Execute the Sql and return the result as a XML String Sql string is the one that was used at creation time.
`java.lang.String` | `getResultAsXMLString(java.lang.String sql)` Execute the Sql and return the result as a XML String
`int` | `getResultSetConcurrency()` Return the concurrency level set for this cursor.
`int` | `getResultSetType()` Return the result type set for this cursor.
`oracle.sql.ROWID` | `getROWID(int parameterIndex)`
`short` | `getShort(int parameterIndex)`
`int` | `getSkipRows()`
`java.lang.String` | `getString(int parameterIndex)`
`oracle.sql.STRUCT` | `getSTRUCT(int parameterIndex)`
`java.sql.Time` | `getTime(int parameterIndex)`
`java.sql.Timestamp` | `getTimestamp(int parameterIndex)`
`java.io.InputStream` | `getUnicodeStream(int parameterIndex)`
`int` | `getUpdateCount()`
`void` | `outOfScope(JspScopeEvent ae)` Invoked when a JSP scope that this object is attached to is ending.
`void` | `registerOutParameter(int paramIndex, int sqlType)`
`void` | `registerOutParameter(int paramIndex, int sqlType, int scale)`
`void` | `registerOutParameter(int paramIndex, int sqlType, int scale, int maxLength)`
`void` | `registerOutParameter(int paramIndex, int sqlType, java.lang.String sqlName)`
`void` | `setArray(int paramIndex, java.sql.Array arr)`
`void` | `setARRAY(int paramIndex, oracle.sql.ARRAY arr)`
`void` | `setAsciiStream(int paramIndex, java.io.InputStream istream, int length)`
`void` | `setBfile(int paramIndex, oracle.sql.BFILE file)`
`void` | `setBFILE(int paramIndex, oracle.sql.BFILE file)`
`void` | `setBigDecimal(int paramIndex, java.math.BigDecimal x)`
`void` | `setBinaryStream(int paramIndex, java.io.InputStream istream, int length)`
`void` | `setBlob(int paramIndex, java.sql.Blob lob)`
`void` | `setBLOB(int paramIndex, oracle.sql.BLOB lob)`
`void` | `setBoolean(int paramIndex, boolean x)`
`void` | `setByte(int paramIndex, byte x)`
`void` | `setBytes(int paramIndex, byte[] x)`
`void` | `setCHAR(int paramIndex, oracle.sql.CHAR ch)`
`void` | `setClob(int paramIndex, java.sql.Clob lob)`
`void` | `setCLOB(int paramIndex, oracle.sql.CLOB lob)`
`void` | `setConnBean(ConnBean cb)` Set the underlying connection bean.
`void` | `setCursor(int paramIndex, java.sql.ResultSet rs)`
`void` | `setCustomDatum(int paramIndex, oracle.sql.CustomDatum x)`
`void` | `setDate(int paramIndex, java.sql.Date date)`
`void` | `setDATE(int paramIndex, oracle.sql.DATE date)`
`void` | `setDouble(int paramIndex, double x)`
`void` | `setExecuteBatch(int bsize)` Set the Execute Batch Size for DMLs.
`void` | `setFixedCHAR(int paramIndex, java.lang.String x)`
`void` | `setFloat(int paramIndex, float x)`
`void` | `setInt(int paramIndex, int x)`
`void` | `setLong(int paramIndex, long x)`
`void` | `setMaxRows(int maxRows)`
`void` | `setNull(int paramIndex, int sqlType)`
`void` | `setNull(int paramIndex, int sqlType, java.lang.String sqlName)`
`void` | `setNUMBER(int paramIndex, oracle.sql.NUMBER num)`
`void` | `setObject(int paramIndex, java.lang.Object x)`
`void` | `setObject(int paramIndex, java.lang.Object x, int targetSqlType)`
`void` | `setObject(int paramIndex, java.lang.Object x, int targetSqlType, int scale)`
`void` | `setOracleObject(int paramIndex, oracle.sql.Datum x)`
`void` | `setPreFetch(int prefSize)` Set the Row prefetch size for the rows returned for queries.
`void` | `setQueryTimeout(int tout)` The queryTimeout limit is the number of seconds the driver will wait for a Statement to execute.
`void` | `setRAW(int paramIndex, oracle.sql.RAW raw)`
`void` | `setRef(int paramIndex, java.sql.Ref ref)`
`void` | `setREF(int paramIndex, oracle.sql.REF ref)`
`void` | `setRefType(int paramIndex, oracle.sql.REF ref)`
`void` | `setResultSetConcurrency(int rscon)` Set the ResultSet Concurrency for the cursor.
`void` | `setResultSetType(int rtype)` Set the ResultType for the cursor created.
`void` | `setROWID(int paramIndex, oracle.sql.ROWID x)`
`void` | `setShort(int paramIndex, short x)`
`void` | `setSkipRows(int skipRows)`
`void` | `setString(int paramIndex, java.lang.String x)`
`void` | `setSTRUCT(int paramIndex, oracle.sql.STRUCT struct)`
`void` | `setTime(int paramIndex, java.sql.Time x)`
`void` | `setTimestamp(int paramIndex, java.sql.Timestamp x)`
`void` | `setUnicodeStream(int paramIndex, java.io.InputStream istream, int length)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_stmt

    protected java.sql.Statement m_stmt

### m_conn

    protected transient java.sql.Connection m_conn

### m_sql

    protected java.lang.String m_sql

### m_maxRows

    protected int m_maxRows

### m_skipRows

    protected int m_skipRows

### PLAIN_STMT

    public static final int PLAIN_STMT

  See Also:
    Constant Field Values

### PREP_STMT

    public static final int PREP_STMT

  See Also:
    Constant Field Values

### CALL_STMT

    public static final int CALL_STMT

  See Also:
    Constant Field Values

### TYPE_FORWARD_ONLY

    public static final int TYPE_FORWARD_ONLY

  See Also:
    Constant Field Values

### TYPE_SCROLL_INSENSITIVE

    public static final int TYPE_SCROLL_INSENSITIVE

  See Also:
    Constant Field Values

### TYPE_SCROLL_SENSITIVE

    public static final int TYPE_SCROLL_SENSITIVE

  See Also:
    Constant Field Values

### CONCUR_READ_ONLY

    public static final int CONCUR_READ_ONLY

  See Also:
    Constant Field Values

### CONCUR_UPDATABLE

    public static final int CONCUR_UPDATABLE

  See Also:
    Constant Field Values

### m_stmtType

    protected int m_stmtType

### m_rsetType

    protected int m_rsetType

### m_rsetCon

    protected int m_rsetCon

### m_preFetch

    protected int m_preFetch

### m_batchSize

    protected int m_batchSize

### m_queryTimeout

    protected int m_queryTimeout

Constructor Detail

### CursorBean

    public CursorBean()

Method Detail

### setConnBean

    public void setConnBean(ConnBean cb)

  Set the underlying connection bean.
  Parameters:
    `cb` - underlying connection bean for the cursor

### create

    public void create(ConnBean cb,
                       int type,
                       java.lang.String sql)
                throws java.sql.SQLException

  Create a cursor with the given type and sql string on a given connection. Sql can be null for Plain Statement.
  Parameters:
    `cb` - underlying connection bean for the cursor
    `sql` - Sql string to be executed
  Throws:
    `java.sql.SQLException` - if cursor creation fails.

### create

    public void create(ConnBean cb)
                throws java.sql.SQLException

  Create a cursor for Queries
  Parameters:
    `cb` - underlying connection bean for the cursor
  Throws:
    `java.sql.SQLException` - if cursor creation fails.

### create

    public void create()
                throws java.sql.SQLException

  Create a cursor for Queries
  Throws:
    `java.sql.SQLException` - if cursor creation fails.

### getJDBCConnection

    public java.sql.Connection getJDBCConnection()

  Get the underlying connection object.
  Returns:
    JDBC Connection Object

### create

    public void create(int type,
                       java.lang.String sql)
                throws java.sql.SQLException

  Create a cursor with the given type and sql string on a connection set before. Sql is ignored if it's a Plain Statement.
  Parameters:
    `sql` - Sql string to be executed
  Throws:
    `java.sql.SQLException` - if cursor creation fails.

### executeQuery

    public java.sql.ResultSet executeQuery(java.lang.String sql)
                                    throws java.sql.SQLException

  Execute the Statement with the given Sql. Overwrites the previously set Sql String. Typically should be called for Vanilla Statements.
  Returns:
    Return the rows in the form of a ResultSet
  Throws:
    `java.sql.SQLException` - if sql execution fails

### executeQuery

    public java.sql.ResultSet executeQuery()
                                    throws java.sql.SQLException

  Execute the Statement and return the ResultSet. Typically should be called by Prepared and Callable Statements.
  Returns:
    Return the rows in the form of a ResultSet
  Throws:
    `java.sql.SQLException` - if sql execution fails

### executeUpdate

    public int executeUpdate(java.lang.String sql)
                      throws java.sql.SQLException

  Execute the Statement with the given Sql. Overwrites the previously set Sql String. Typically should be called for Vanilla Statements.
  Returns:
    Return the rows of rows affected.
  Throws:
    `java.sql.SQLException` - if sql execution fails

### executeUpdate

    public int executeUpdate()
                      throws java.sql.SQLException

  Execute the Statement and return the no of rows affected. Typically should be called by Prepared and Callable Statements.
  Returns:
    Return the rows of rows affected.
  Throws:
    `java.sql.SQLException` - if sql execution fails

### getUpdateCount

    public int getUpdateCount()
                       throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### execute

    public boolean execute(java.lang.String sql)
                    throws java.sql.SQLException

  Execute the Statement with the given sql. Typically should be called for Vanilla Statements.
  Returns:
    Return the status of the Statement execution
  Throws:
    `java.sql.SQLException` - if sql execution fails

### execute

    public boolean execute()
                    throws java.sql.SQLException

  Execute the Statement and return the status. Typically should be called by Prepared and Callable Statements.
  Returns:
    Return the status of the Statement execution
  Throws:
    `java.sql.SQLException` - if sql execution fails

### close

    public void close()
               throws java.sql.SQLException

  Close the cursor.
  Throws:
    `java.sql.SQLException` - error during closing

### setResultSetType

    public void setResultSetType(int rtype)

  Set the ResultType for the cursor created. The default is TYPE_FORWARD_ONLY
  Parameters:
    `rtype` - Result Set type. Possible values are
    - CursorBean.TYPE_FORWARD_ONLY
    - CursorBean.TYPE_SCROLL_INSENSITIVE
    - CursorBean.TYPE_SCROLL_SENSITIVE

### getResultSetType

    public int getResultSetType()

  Return the result type set for this cursor.
  Returns:
    result type set or the default if not set.

### setResultSetConcurrency

    public void setResultSetConcurrency(int rscon)

  Set the ResultSet Concurrency for the cursor. Default value is CONCUR_READ_ONLY

### getResultSetConcurrency

    public int getResultSetConcurrency()

  Return the concurrency level set for this cursor.
  Returns:
    concurrency level set or the default if not set.

### setPreFetch

    public void setPreFetch(int prefSize)

  Set the Row prefetch size for the rows returned for queries.
  Parameters:
    `prefSize` - prefetch size

### getPreFetch

    public int getPreFetch()

  Get the Row prefetch size for this cursor bean. Returns 10 (default) if not set.
  Returns:
    Row prefetch size for this cursor bean.

### setMaxRows

    public void setMaxRows(int maxRows)

### getMaxRows

    public int getMaxRows()

### setSkipRows

    public void setSkipRows(int skipRows)

### getSkipRows

    public int getSkipRows()

### setExecuteBatch

    public void setExecuteBatch(int bsize)

  Set the Execute Batch Size for DMLs.
  Parameters:
    `bsize` - Execute Batch Size

### getExecuteBatch

    public int getExecuteBatch()

  Get the execute batch size for this cursor bean. Returns 1 (default) if not set.
  Returns:
    execute batch size for this cursor bean.

### setQueryTimeout

    public void setQueryTimeout(int tout)

  The queryTimeout limit is the number of seconds the driver will wait for a Statement to execute. If the limit is exceeded, a SQLException is thrown.
  Parameters:
    `tout` - the new query timeout limit in seconds; zero means unlimit

### getQueryTimeout

    public int getQueryTimeout()

  The queryTimeout limit is the number of seconds the driver will wait for a Statement to execute. If the limit is exceeded, a SQLException is thrown.
  Returns:
    the current query timeout limit in seconds; zero means unlimited

### setNull

    public void setNull(int paramIndex,
                        int sqlType,
                        java.lang.String sqlName)
                 throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### setNull

    public void setNull(int paramIndex,
                        int sqlType)
                 throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### setBoolean

    public void setBoolean(int paramIndex,
                           boolean x)
                    throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### setByte

    public void setByte(int paramIndex,
                        byte x)
                 throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### setShort

    public void setShort(int paramIndex,
                         short x)
                  throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### setInt

    public void setInt(int paramIndex,
                       int x)
                throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### setLong

    public void setLong(int paramIndex,
                        long x)
                 throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### setFloat

    public void setFloat(int paramIndex,
                         float x)
                  throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### setDouble

    public void setDouble(int paramIndex,
                          double x)
                   throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### setBigDecimal

    public void setBigDecimal(int paramIndex,
                              java.math.BigDecimal x)
                       throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### setString

    public void setString(int paramIndex,
                          java.lang.String x)
                   throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### setFixedCHAR

    public void setFixedCHAR(int paramIndex,
                             java.lang.String x)
                      throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### setCursor

    public void setCursor(int paramIndex,
                          java.sql.ResultSet rs)
                   throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### setROWID

    public void setROWID(int paramIndex,
                         oracle.sql.ROWID x)
                  throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### setArray

    public void setArray(int paramIndex,
                         java.sql.Array arr)
                  throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### setARRAY

    public void setARRAY(int paramIndex,
                         oracle.sql.ARRAY arr)
                  throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### setSTRUCT

    public void setSTRUCT(int paramIndex,
                          oracle.sql.STRUCT struct)
                   throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### setRAW

    public void setRAW(int paramIndex,
                       oracle.sql.RAW raw)
                throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### setCHAR

    public void setCHAR(int paramIndex,
                        oracle.sql.CHAR ch)
                 throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### setDate

    public void setDate(int paramIndex,
                        java.sql.Date date)
                 throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### setDATE

    public void setDATE(int paramIndex,
                        oracle.sql.DATE date)
                 throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### setNUMBER

    public void setNUMBER(int paramIndex,
                          oracle.sql.NUMBER num)
                   throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### setBlob

    public void setBlob(int paramIndex,
                        java.sql.Blob lob)
                 throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### setBLOB

    public void setBLOB(int paramIndex,
                        oracle.sql.BLOB lob)
                 throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### setClob

    public void setClob(int paramIndex,
                        java.sql.Clob lob)
                 throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### setCLOB

    public void setCLOB(int paramIndex,
                        oracle.sql.CLOB lob)
                 throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### setBFILE

    public void setBFILE(int paramIndex,
                         oracle.sql.BFILE file)
                  throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### setBfile

    public void setBfile(int paramIndex,
                         oracle.sql.BFILE file)
                  throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### setBytes

    public void setBytes(int paramIndex,
                         byte[] x)
                  throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### setTime

    public void setTime(int paramIndex,
                        java.sql.Time x)
                 throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### setTimestamp

    public void setTimestamp(int paramIndex,
                             java.sql.Timestamp x)
                      throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### setUnicodeStream

    public void setUnicodeStream(int paramIndex,
                                 java.io.InputStream istream,
                                 int length)
                          throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### setAsciiStream

    public void setAsciiStream(int paramIndex,
                               java.io.InputStream istream,
                               int length)
                        throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### setBinaryStream

    public void setBinaryStream(int paramIndex,
                                java.io.InputStream istream,
                                int length)
                         throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### setCustomDatum

    public void setCustomDatum(int paramIndex,
                               oracle.sql.CustomDatum x)
                        throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### setObject

    public void setObject(int paramIndex,
                          java.lang.Object x,
                          int targetSqlType,
                          int scale)
                   throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### setObject

    public void setObject(int paramIndex,
                          java.lang.Object x,
                          int targetSqlType)
                   throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### setRefType

    public void setRefType(int paramIndex,
                           oracle.sql.REF ref)
                    throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### setRef

    public void setRef(int paramIndex,
                       java.sql.Ref ref)
                throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### setREF

    public void setREF(int paramIndex,
                       oracle.sql.REF ref)
                throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### setObject

    public void setObject(int paramIndex,
                          java.lang.Object x)
                   throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### setOracleObject

    public void setOracleObject(int paramIndex,
                                oracle.sql.Datum x)
                         throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### registerOutParameter

    public void registerOutParameter(int paramIndex,
                                     int sqlType,
                                     java.lang.String sqlName)
                              throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### registerOutParameter

    public void registerOutParameter(int paramIndex,
                                     int sqlType,
                                     int scale)
                              throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### registerOutParameter

    public void registerOutParameter(int paramIndex,
                                     int sqlType,
                                     int scale,
                                     int maxLength)
                              throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### registerOutParameter

    public void registerOutParameter(int paramIndex,
                                     int sqlType)
                              throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getString

    public java.lang.String getString(int parameterIndex)
                               throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getOracleObject

    public oracle.sql.Datum getOracleObject(int parameterIndex)
                                     throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getROWID

    public oracle.sql.ROWID getROWID(int parameterIndex)
                              throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getNUMBER

    public oracle.sql.NUMBER getNUMBER(int parameterIndex)
                                throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getDate

    public java.sql.Date getDate(int parameterIndex)
                          throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getDATE

    public oracle.sql.DATE getDATE(int parameterIndex)
                            throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getRef

    public java.sql.Ref getRef(int parameterIndex)
                        throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getREF

    public oracle.sql.REF getREF(int parameterIndex)
                          throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getArray

    public java.sql.Array getArray(int parameterIndex)
                            throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getARRAY

    public oracle.sql.ARRAY getARRAY(int parameterIndex)
                              throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getSTRUCT

    public oracle.sql.STRUCT getSTRUCT(int parameterIndex)
                                throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getCHAR

    public oracle.sql.CHAR getCHAR(int parameterIndex)
                            throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getRAW

    public oracle.sql.RAW getRAW(int parameterIndex)
                          throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getBlob

    public java.sql.Blob getBlob(int parameterIndex)
                          throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getBLOB

    public oracle.sql.BLOB getBLOB(int parameterIndex)
                            throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getClob

    public java.sql.Clob getClob(int parameterIndex)
                          throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getCLOB

    public oracle.sql.CLOB getCLOB(int parameterIndex)
                            throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getBFILE

    public oracle.sql.BFILE getBFILE(int parameterIndex)
                              throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getBoolean

    public boolean getBoolean(int parameterIndex)
                       throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getByte

    public byte getByte(int parameterIndex)
                 throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getShort

    public short getShort(int parameterIndex)
                   throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getInt

    public int getInt(int parameterIndex)
               throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getLong

    public long getLong(int parameterIndex)
                 throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getFloat

    public float getFloat(int parameterIndex)
                   throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getDouble

    public double getDouble(int parameterIndex)
                     throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getBigDecimal

    public java.math.BigDecimal getBigDecimal(int parameterIndex,
                                              int scale)
                                       throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getBytes

    public byte[] getBytes(int parameterIndex)
                    throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getTime

    public java.sql.Time getTime(int parameterIndex)
                          throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getTimestamp

    public java.sql.Timestamp getTimestamp(int parameterIndex)
                                    throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getAsciiStream

    public java.io.InputStream getAsciiStream(int parameterIndex)
                                       throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getUnicodeStream

    public java.io.InputStream getUnicodeStream(int parameterIndex)
                                         throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getBinaryStream

    public java.io.InputStream getBinaryStream(int parameterIndex)
                                        throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getObject

    public java.lang.Object getObject(int parameterIndex)
                               throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getCustomDatum

    public java.lang.Object getCustomDatum(int parameterIndex,
                                           oracle.sql.CustomDatumFactory factory)
                                    throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getCursor

    public java.sql.ResultSet getCursor(int parameterIndex)
                                 throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getResultAsXMLString

    public java.lang.String getResultAsXMLString()
                                          throws java.sql.SQLException

  Execute the Sql and return the result as a XML String Sql string is the one that was used at creation time.
  Returns:
    Result as a XML String.
  Throws:
    `java.sql.SQLException` - if cursor execution fails.

### getResultAsXMLString

    public java.lang.String getResultAsXMLString(java.lang.String sql)
                                          throws java.sql.SQLException

  Execute the Sql and return the result as a XML String
  Parameters:
    `sql` - Sql String to be executed
  Returns:
    Result as a XML String.
  Throws:
    `java.sql.SQLException` - if cursor execution fails.

### getResultAsXMLDocument

    public org.w3c.dom.Document getResultAsXMLDocument(java.lang.String sql)
                                                throws java.sql.SQLException

  Execute the Sql and return the result as a XML String
  Parameters:
    `sql` - Sql String to be executed
  Returns:
    Result as a XML String.
  Throws:
    `java.sql.SQLException` - if cursor execution fails.

### getResultAsHTMLTable

    public java.lang.String getResultAsHTMLTable(java.lang.String sql)
                                          throws java.sql.SQLException

  Execute the Sql and return the result as a HTM Table.
  Parameters:
    `sql` - Sql String to be executed
  Returns:
    Result as a HTML table.
  Throws:
    `java.sql.SQLException` - if cursor execution fails.

### getResultAsHTMLTable

    public java.lang.String getResultAsHTMLTable()
                                          throws java.sql.SQLException

  Execute the Sql and return the result as a HTM Table. Sql string is the one that was used at creation time.
  Returns:
    Result as a HTML table.
  Throws:
    `java.sql.SQLException` - if cursor execution fails.

### outOfScope

    public void outOfScope(JspScopeEvent ae)

  Description copied from interface: `JspScopeListener`
  Invoked when a JSP scope that this object is attached to is ending.
  Specified by:
    `outOfScope` in interface `JspScopeListener`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Server Containers for J2EE Support for JavaServer Pages API Reference 10g Release 2 (10.1.2) B14015-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004, 2005, Oracle. All rights reserved.